/*++++++++++++++
.IDENTIFICATION otype.h
.LANGUAGE       C
.AUTHOR         Francois Ochsenbein [CDS]
.ENVIRONMENT
.KEYWORDS       Object Types
.VERSION  1.0   01-Apr-1993
.VERSION  1.1   15-Feb-1995: ANSI-compatible
.COMMENTS       Declarations of Routines dealing with Object Classes
---------------*/

#ifndef OTYPE_DEF
#define OTYPE_DEF	0	/* Allows recursive definitions */

#ifndef _ARGS
#ifdef __STDC__
#define _ARGS(A)	A       /* ANSI */
#else
#define _ARGS(A)	()      /* Traditional */
#define const
#endif
#endif

#ifndef int4
#define int4 int
#define int8 long long
#endif

typedef unsigned int4 OTYPE;
#define BAD_OTYPE	((OTYPE)(-1))

int   otinit   _ARGS((char *filename));
int   otidinit _ARGS((char *filename));
		/* initialization of Object Types and Identifiers */
OTYPE ottrunc  _ARGS((OTYPE t, int level));
		/* Truncates one Object Type*/
OTYPE otmerge  _ARGS((OTYPE t1, OTYPE t2)) ;
		/* combine two Object Types */
OTYPE a2ot     _ARGS((char *string));
		/* interprets a string as an Object Type */
OTYPE otid     _ARGS((char *identifier));
		/* interprets an Indentifier as an Object Type */
char *ot2a     _ARGS((OTYPE ot, char *option));
		/* edit an Object Type, option "n" (numeric), "s" (short) ,
			digit for truncation to specified level */
int  ot1match  _ARGS((OTYPE t0, OTYPE t1))  ;
		/* returns 1 if t1 same type or subtype of t0 */
int  otinclass _ARGS((OTYPE t0, OTYPE t1))  ;
		/* returns 1 if t1 in same branch as t0 */
int  otmatch   _ARGS((OTYPE t1, OTYPE t2))  ;
		/* returns 1/0 for matching/mismatching */
int  otcmp     _ARGS((OTYPE *t1, OTYPE *t2))  ;
		/* compares two Object Types for Sorting */

#endif
