/*++++++++++++++
.TYPE		Module
.IDENTIFICATION	trigoh.c
.LANGUAGE	C
.AUTHOR		Francois Ochsenbein [ESO-IPG]
.CATEGORY	Hyperbolic Functions
.COMMENTS	

.VERSION 1.0	05-Dec-1988: Creation
.VERSION 1.1	25-Feb-1992: Tested on Turbo-C
-------------*/

#include <trigo.h>

/*=========================================================================*/
double acosh (x)
/*+++
.DES Computation of Arg cosh.
.RET The value
.REM x must be in range 
\begin{TeX}
$ x \in [ 1 , +\infty [$
\end{TeX}
---*/
  	double x;      /* argument in degrees */
{ 
  return(log((x+sqrt((x)*(x)-1.e0))));
}

/*=========================================================================*/
double asinh (x)
/*+++
.DES Computation of Arg sinh.
.RET The value
---*/
  	double x;      /* argument in degrees */
{ 
  return(log((x+sqrt((x)*(x)+1.e0))));
}

/*=========================================================================*/
double atanh (x)
/*+++
.DES Computation of Arg tanh.
.RET The value
.REM x must be in range 
\begin{TeX}
$ x \in ] -1 , +1 [$
\end{TeX}
---*/
  	double x;      /* argument in degrees */
{ 
  return((.5e0*log((1.e0+(x))/(1.e0-(x)))));
}

